# Class XorOp

java.lang.Object
org.apache.zookeeper.graph.FilterOp
org.apache.zookeeper.graph.filterops.XorOp

public class XorOp extends FilterOp

## Nested Class Summary

### Nested classes/interfaces inherited from class FilterOp

`FilterOp.ArgType`

## Field Summary

### Fields inherited from class FilterOp

`args, subOps`

## Constructor Summary

Constructors
Constructor
Description
`XorOp()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`matches(LogEntry entry)`

### Methods inherited from class FilterOp

`addArg, addSubOp, newOp, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XorOp

public XorOp()

## Method Details

### matches

public boolean matches(LogEntry entry) throws FilterException

Specified by:
  `matches` in class `FilterOp`
Throws:
  `FilterException`